Opened 2 years ago

Closed 19 months ago

#49324 closed update (fixed)

ghostscript @9.16_1: update to 9.18

Reported by: Schamschula (Marius Schamschula) Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: haspatch Cc: ryandesign (Ryan Schmidt), florian@…, dbevans (David B. Evans), john@…, tenomoto (Takeshi Enomoto), pmetzger (Perry E. Metzger), MarcusCalhoun-Lopez (Marcus Calhoun-Lopez), Schamschula (Marius Schamschula), master@…, nerdling (Jeremy Lavergne), kurthindenburg (Kurt Hindenburg)
Port: ghostscript

Description

ghostscript has been updated to version 9.18.

Note 1: this update fixes one issue (patch-base_stdpre.h.diff no longer needed as an upstream ifdef effectively replaces the patch), while introducing a new issue: a new header file gserrors.h is included in ierrors.h, but not installed causing the gimp2 build to fail.

Note 2: at the very least gimp2 needs a revision bump, as it directly links to libgs.

Attachments (4)

Portfile-ghostscript.diff (1.7 KB) - added by Schamschula (Marius Schamschula) 2 years ago.
Portfile.diff (2.8 KB) - added by howarth.at.macports@… 19 months ago.
Portfile diff to bump packaging to 9.19 release
ghostscript.diff (5.9 KB) - added by neverpanic (Clemens Lang) 19 months ago.
Patch updating ghostscript to 9.19 and fixing a couple of bugs in the Portfile
ghostscript-revbumps.patch (11.1 KB) - added by neverpanic (Clemens Lang) 19 months ago.
Revbumps of ports that depends_lib on ghostscript

Download all attachments as: .zip

Change History (19)

comment:1 follow-up: Changed 2 years ago by ryandesign (Ryan Schmidt)

Thanks. Could we at least get a list of all ports that link with libgs that need their revisions increased?

Changed 2 years ago by Schamschula (Marius Schamschula)

comment:2 Changed 2 years ago by Schamschula (Marius Schamschula)

The updated diff file also deals with a stealth update @ github.

Last edited 2 years ago by Schamschula (Marius Schamschula) (previous) (diff)

comment:3 in reply to: ↑ 1 Changed 2 years ago by Schamschula (Marius Schamschula)

Replying to ryandesign@…:

Thanks. Could we at least get a list of all ports that link with libgs that need their revisions increased?

Ryan,

I only know about packages that rebuilt after the link check. Besides gimp2, I had one machine rebuild ImageMagick.

comment:4 Changed 2 years ago by ryandesign (Ryan Schmidt)

What you (or someone) needs to do is find all affected packages. When I do it, I usually use grep to find all ports that depend on the port (ghostscript), then install each one to see which ones link with its library (those need a revbump) and which ones only use a ghostscript executable (those don't).

comment:5 follow-up: Changed 2 years ago by Schamschula (Marius Schamschula)

The packages directly dependent on ghostscript are:

ImageMagick
LaTeXiT
asymptote
dvipng
epstool
gimp2
gl2ps
groff
gv
littleutils
octave
ps2eps
pstoedit
pyxplot
texlive-bin

I currently have all of these packages installed on my machine. Of those, only ImageMagick and gimp2 caused link errors, and were (successfully) rebuilt.

Needless to say, the number of packages recursively dependent of ghostscript is much larger, and I don't have all of these packages present.

comment:6 Changed 2 years ago by ryandesign (Ryan Schmidt)

Thanks. I wouldn't worry about recursive dependents. Any port actually linking with a library should actually declare a dependency on the port that provides it.

comment:7 in reply to: ↑ 5 Changed 2 years ago by ryandesign (Ryan Schmidt)

Replying to mschamschula@…:

The packages directly dependent on ghostscript are:

ImageMagick
LaTeXiT
asymptote
dvipng
epstool
gimp2
gl2ps
groff
gv
littleutils
octave
ps2eps
pstoedit
pyxplot
texlive-bin

How did you arrive at this list? According to my calculations, the list is:

DoCon
ImageMagick
LaTeXiT
TeXmacs
asymptote
camlimages
canna
claws-mail
djvu2pdf
doxygen
dvipng
epstool
fig2ps
gallery
ghostscript-fonts-hiragino
gimp2
gimp2-devel
gimp3-devel
gl2ps
gle-graphics
gmt4
gmt5
goffice
gramps
gri
groff
gsl
gv
imaxima
impressive
kde4-kile
latex2html
latex2rtf
libspectre
lilypond
lilypond-devel
littleutils
magicspp
octave
pathalizer
ps2eps
psbind
pstoedit
pstotext
py-matplotlib
pyxplot
sam2p
scribus
srecord
texlive-bin
webdot
xcircuit
xcircuit-devel
xfig
xmlstarlet
xpdf

comment:8 Changed 2 years ago by ryandesign (Ryan Schmidt)

  • Cc ryandesign@… added

Cc Me!

comment:9 Changed 2 years ago by florian@…

  • Cc florian@… added

Cc Me!

comment:10 Changed 19 months ago by howarth.at.macports@…

Upstream has released 9.19.

Changed 19 months ago by howarth.at.macports@…

Portfile diff to bump packaging to 9.19 release

Changed 19 months ago by neverpanic (Clemens Lang)

Patch updating ghostscript to 9.19 and fixing a couple of bugs in the Portfile

comment:11 Changed 19 months ago by neverpanic (Clemens Lang)

I attached a diff that updates ghostscript to 9.19 and fixes the following issues:

  • Declare the BSD license of the mappingresources incorporated into the package
  • Fix homepage
  • Update mappingresources to the latest version
  • Switch to our copy of lcms2 over the bundled one
  • Drop use_parallel_build yes, which is the default

Changed 19 months ago by neverpanic (Clemens Lang)

Revbumps of ports that depends_lib on ghostscript

comment:12 Changed 19 months ago by neverpanic (Clemens Lang)

  • Cc devans@… john@… takeshi@… perry@… mcalhoun@… mschamschula@… master@… snc@… khindenburg@… added

I have also attached a patch file that bumps all ports that declare a depends_lib on ghostscript. I have not included ports that only build-depend on ghostscript. Those ports are, along with their maintainers (which I'm also putting on Cc):

  • devans@ (gramps, goffice, gimp2, gimp2-devel, gimp3-devel, libspectre, dvipng)
  • ryandesign@ (ImageMagick)
  • macports.swinbank.org:john (QGLE)
  • takeshi@ (sam2p, gmt4, gmt5, magicspp)
  • piermont.com:perry (claws-mail)
  • mcalhoun@ (octave-devel, octave-devel-rc, octave-devel-release)
  • gmail.com:mschamschula (pyxplot, littleutils)
  • iaas.msu.ru:master (epstool)
  • eprofs.de:florian (gmt4, gmt5)
  • snc@ (lilypond, lilypond-devel)
  • khindenburg@ (xcircuit)

If you object to the revbump being committed to your port, please shout in the next days. Note that I will not be testing whether all your ports still build against the new ghostscript. I am currently building gimp2 as a smoke test, but that's all the testing I intend to do on this before commit.

comment:13 Changed 19 months ago by neverpanic (Clemens Lang)

See also #50475, which will be fixed by this.

comment:14 Changed 19 months ago by dbevans (David B. Evans)

Normally, rather than a revbump, I would update gimp2-devel and gimp3-devel to latest git master so you can skip these and I'll follow through. I also have an update ready for goffice so I can hold off on that until after your update to avoid a gratuitous revbump. Otherwise, if your gimp2 test succeeds, go for it. If not, let me know. Thanks for the heads up.

comment:15 Changed 19 months ago by neverpanic (Clemens Lang)

  • Resolution set to fixed
  • Status changed from new to closed

Update + revbumps committed in r147230. I have not increased the revision of gimp2-devel, gimp3-devel and goffice, as requested.

Note: See TracTickets for help on using tickets.